Subject: Re: bug#50935: minibuffer-electric-default-mode interface

From: Juri Linkov <[email-masked]>
Date: Sun, 03 Oct 2021 19:54:51 +0300

>> While I don't know how to fix this issue, I have to note that
>> this Info node should also mention that minibuffer-electric-default-mode
>> is now obsoleted by the new user option minibuffer-default-prompt-format.
>
> Hmm, shouldn't the info node then just mention
> 'minibuffer-default-prompt-format' instead, and only that?  I don't
> think we mention obsolete things if we can avoid it, do we?
>
> Also, should 'minibuffer-electric-default-mode' be declared obsolete,
> or is it too early for that?

It seems it's too early to obsolete it.  But maybe still
'minibuffer-default-prompt-format' should be mentioned?
Since it's a user option supporting the same format (but in
a limited set of prompts) as 'minibuffer-electric-default-mode'.